﻿<h1 id="creating-trunks">Creating Trunks</h1>
<h2 id="in-this-how-to-we-will-cover-how-to-create-a-static-trunk-between-switches-and-filter-the-vlans-across-the-link">In this How To we will cover how to create a static trunk between switches, and filter the VLANs across the link.</h2>
<p><img src="switchingfundamentals.png" alt="" /></p>
<ul>
<li>We will need to creat a static trunk on <strong>Ethernet0/3</strong> between <strong>SW1</strong> and <strong>SW2</strong>.</li>
</ul>
<h2 id="configuration">Configuration</h2>
<ul>
<li>To create a trunk we must go into the sub-configuration mode of <strong>ETH 0/3</strong></li>
</ul>
<p><code>SW1#conf t</code> # This command puts us in Global Config mode</p>
<p><code>SW1(config)#interface ethernet 0/3</code> # This command puts us into the interface sub-configuration mode</p>
<p><code>SW1(config-if)#switchport trunk encapsulation dot1q</code> # This command will set the trunk to use the IEEE <strong>802.1q</strong> Encapsulation standard</p>
<p><code>SW1(config-if)#switchport mode trunk</code> # This command will statically set the interface to <strong>trunkning</strong> mode.</p>
<ul>
<li>The complete configuration for both switches is shown below</li>
</ul>
<p><img src="sw1%20trunk%20configuration.png" alt="" /></p>
<p><img src="sw2%20static%20trunk.png" alt="" /></p>
<h3 id="filtering-vlans-on-trunk-ports">Filtering VLANs on trunk ports</h3>
<ul>
<li>To filter the VLANs, add or remove the VLANs allowed across a trunk we use the commands below.</li>
</ul>
<p><code>SW1(config-if)#switchport trunk allowed vlan 1,10,20,30</code> # This command will only VLANs 1,10,20,30 across the trunk</p>
<p><code>SW1(config-if)#switchport trunk allows [add | remove] vlan 40</code> # This command allows you to add or remove VLANs from the trunk port.</p>
<ul>
<li>The complete configuration is shown below</li>
</ul>
<p><img src="filtering%20vlans%20on%20trunk.png" alt="" /></p>
<h2 id="verification">Verification</h2>
<ul>
<li>The following commands will show and verify the trunks are formed, how they formed and what VLANs are allowed across the trunks.</li>
</ul>
<p><code>SW1#show interface trunk</code> # This command will show us the active trunks on our switch.</p>
<p><img src="show%20interface%20trunk.png" alt="" /></p>
